Subject: Ticket Assigned - Late Delivery / 9561128120
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 20 Mar 2022 10:12:19 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late Delivery / 9561128120 Waseem                    Hello           01:52 PM, 20th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           01:52 PM, 20th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            01:52 PM, 20th Mar                     Waseem                    9561128120           01:53 PM, 20th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            01:54 PM, 20th Mar                   New                   If you have any pictures that you would like to share, please do that.            01:54 PM, 20th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           01:54 PM, 20th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            01:56 PM, 20th Mar                   Ahmed                   We have checked and we would like to inform you that your order (9561128120) will be delivered today  at the time between (10am to 2pm) and you can find the driver details below  Name: Sayed Number: 0506922063           02:01 PM, 20th Mar                     Waseem                    I called the driver           02:03 PM, 20th Mar                     Waseem                    He does not have my order           02:03 PM, 20th Mar                     Waseem                    And it’s already 2:00 PM and nothing reached !!!           02:04 PM, 20th Mar                     Waseem                    I think another driver should deliver my items           02:05 PM, 20th Mar                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           02:07 PM, 20th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           02:07 PM, 20th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4051828